summaryrefslogtreecommitdiff
path: root/eclass/tests
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2022-03-20 00:40:44 +0000
committerV3n3RiX <venerix@koprulu.sector>2022-03-20 00:40:44 +0000
commit4cbcc855382a06088e2f016f62cafdbcb7e40665 (patch)
tree356496503d52354aa6d9f2d36126302fed5f3a73 /eclass/tests
parentfcc5224904648a8e6eb528d7603154160a20022f (diff)
gentoo resync : 20.03.2022
Diffstat (limited to 'eclass/tests')
-rwxr-xr-xeclass/tests/autotools_eaclocal_amflags.sh2
-rwxr-xr-xeclass/tests/distutils-r1.sh2
-rwxr-xr-xeclass/tests/distutils-r1_single.sh2
-rwxr-xr-xeclass/tests/eapi7-ver.sh2
-rwxr-xr-xeclass/tests/eapi7-ver_benchmark.sh2
-rwxr-xr-xeclass/tests/eapi8-dosym.sh2
-rwxr-xr-xeclass/tests/estack_eshopts.sh2
-rwxr-xr-xeclass/tests/estack_estack.sh2
-rwxr-xr-xeclass/tests/estack_evar.sh2
-rwxr-xr-xeclass/tests/flag-o-matic.sh2
-rwxr-xr-xeclass/tests/git-r3.sh2
-rwxr-xr-xeclass/tests/git-r3_GIT_DIR.sh2
-rwxr-xr-xeclass/tests/git-r3_subrepos.sh2
-rwxr-xr-xeclass/tests/linux-info_get_running_version.sh2
-rwxr-xr-xeclass/tests/llvm.sh2
-rwxr-xr-xeclass/tests/multilib.sh2
-rwxr-xr-xeclass/tests/multiprocessing_makeopts_jobs.sh2
-rwxr-xr-xeclass/tests/multiprocessing_makeopts_loadavg.sh2
-rwxr-xr-xeclass/tests/python-utils-r1.sh7
-rwxr-xr-xeclass/tests/qmail.sh2
-rwxr-xr-xeclass/tests/rebar_fix_include_path.sh2
-rwxr-xr-xeclass/tests/rebar_remove_deps.sh2
-rwxr-xr-xeclass/tests/rebar_set_vsn.sh2
-rwxr-xr-xeclass/tests/savedconfig.sh2
-rwxr-xr-xeclass/tests/scons-utils.sh2
-rwxr-xr-xeclass/tests/toolchain-funcs.sh2
-rwxr-xr-xeclass/tests/toolchain.sh2
-rwxr-xr-xeclass/tests/versionator_version_compare.sh2
28 files changed, 28 insertions, 33 deletions
diff --git a/eclass/tests/autotools_eaclocal_amflags.sh b/eclass/tests/autotools_eaclocal_amflags.sh
index f9f02bb77893..b64f857ec102 100755
--- a/eclass/tests/autotools_eaclocal_amflags.sh
+++ b/eclass/tests/autotools_eaclocal_amflags.sh
@@ -2,7 +2,7 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-source tests-common.sh
+source tests-common.sh || exit
EAPI=7
diff --git a/eclass/tests/distutils-r1.sh b/eclass/tests/distutils-r1.sh
index cd768066bf37..a42d4cc4641a 100755
--- a/eclass/tests/distutils-r1.sh
+++ b/eclass/tests/distutils-r1.sh
@@ -4,7 +4,7 @@
EAPI=7
PYTHON_COMPAT=( python3_8 )
-source tests-common.sh
+source tests-common.sh || exit
test-phase_name_free() {
local ph=${1}
diff --git a/eclass/tests/distutils-r1_single.sh b/eclass/tests/distutils-r1_single.sh
index fdeba2e2b9b2..0a671e2b739b 100755
--- a/eclass/tests/distutils-r1_single.sh
+++ b/eclass/tests/distutils-r1_single.sh
@@ -4,7 +4,7 @@
EAPI=7
PYTHON_COMPAT=( python3_8 )
-source tests-common.sh
+source tests-common.sh || exit
test-distutils_enable_tests() {
local runner=${1}
diff --git a/eclass/tests/eapi7-ver.sh b/eclass/tests/eapi7-ver.sh
index d4aa4fdbd289..13cd671e7158 100755
--- a/eclass/tests/eapi7-ver.sh
+++ b/eclass/tests/eapi7-ver.sh
@@ -4,7 +4,7 @@
EAPI=6
-source tests-common.sh
+source tests-common.sh || exit
inherit eapi7-ver
diff --git a/eclass/tests/eapi7-ver_benchmark.sh b/eclass/tests/eapi7-ver_benchmark.sh
index c46713713368..ab324edb95c9 100755
--- a/eclass/tests/eapi7-ver_benchmark.sh
+++ b/eclass/tests/eapi7-ver_benchmark.sh
@@ -4,7 +4,7 @@
EAPI=6
-source tests-common.sh
+source tests-common.sh || exit
inherit eapi7-ver versionator
diff --git a/eclass/tests/eapi8-dosym.sh b/eclass/tests/eapi8-dosym.sh
index e1160c42d875..9290026a26de 100755
--- a/eclass/tests/eapi8-dosym.sh
+++ b/eclass/tests/eapi8-dosym.sh
@@ -4,7 +4,7 @@
EAPI=7
-source tests-common.sh
+source tests-common.sh || exit
inherit eapi8-dosym
diff --git a/eclass/tests/estack_eshopts.sh b/eclass/tests/estack_eshopts.sh
index 28346c65ec13..c070e99b6569 100755
--- a/eclass/tests/estack_eshopts.sh
+++ b/eclass/tests/estack_eshopts.sh
@@ -2,7 +2,7 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-source tests-common.sh
+source tests-common.sh || exit
inherit estack
diff --git a/eclass/tests/estack_estack.sh b/eclass/tests/estack_estack.sh
index 4845243d3ae4..18d337ec1f0c 100755
--- a/eclass/tests/estack_estack.sh
+++ b/eclass/tests/estack_estack.sh
@@ -2,7 +2,7 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-source tests-common.sh
+source tests-common.sh || exit
inherit estack
diff --git a/eclass/tests/estack_evar.sh b/eclass/tests/estack_evar.sh
index 29badba0079e..1bf35f2d6e0e 100755
--- a/eclass/tests/estack_evar.sh
+++ b/eclass/tests/estack_evar.sh
@@ -2,7 +2,7 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-source tests-common.sh
+source tests-common.sh || exit
inherit estack
diff --git a/eclass/tests/flag-o-matic.sh b/eclass/tests/flag-o-matic.sh
index dc8cfd375c1e..1e4bfdb2fcfe 100755
--- a/eclass/tests/flag-o-matic.sh
+++ b/eclass/tests/flag-o-matic.sh
@@ -2,7 +2,7 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-source tests-common.sh
+source tests-common.sh || exit
EAPI=7
diff --git a/eclass/tests/git-r3.sh b/eclass/tests/git-r3.sh
index 2f452bfd68a8..02cbcbc59125 100755
--- a/eclass/tests/git-r3.sh
+++ b/eclass/tests/git-r3.sh
@@ -7,7 +7,7 @@ exit 0
EAPI=7
-source tests-common.sh
+source tests-common.sh || exit
inherit git-r3
diff --git a/eclass/tests/git-r3_GIT_DIR.sh b/eclass/tests/git-r3_GIT_DIR.sh
index c17ae7bb43c0..2c9fa07b7041 100755
--- a/eclass/tests/git-r3_GIT_DIR.sh
+++ b/eclass/tests/git-r3_GIT_DIR.sh
@@ -4,7 +4,7 @@
EAPI=7
-source tests-common.sh
+source tests-common.sh || exit
inherit git-r3
diff --git a/eclass/tests/git-r3_subrepos.sh b/eclass/tests/git-r3_subrepos.sh
index 0fcf1cd08081..76dbb1981bfc 100755
--- a/eclass/tests/git-r3_subrepos.sh
+++ b/eclass/tests/git-r3_subrepos.sh
@@ -4,7 +4,7 @@
EAPI=7
-source tests-common.sh
+source tests-common.sh || exit
inherit git-r3
diff --git a/eclass/tests/linux-info_get_running_version.sh b/eclass/tests/linux-info_get_running_version.sh
index ce65ae51fee9..57aaf2fedcd4 100755
--- a/eclass/tests/linux-info_get_running_version.sh
+++ b/eclass/tests/linux-info_get_running_version.sh
@@ -3,7 +3,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
-source tests-common.sh
+source tests-common.sh || exit
inherit linux-info
diff --git a/eclass/tests/llvm.sh b/eclass/tests/llvm.sh
index 8527d81765dd..93bc124a82af 100755
--- a/eclass/tests/llvm.sh
+++ b/eclass/tests/llvm.sh
@@ -3,7 +3,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-source tests-common.sh
+source tests-common.sh || exit
inherit llvm
diff --git a/eclass/tests/multilib.sh b/eclass/tests/multilib.sh
index ce2b4c2a5833..95be9530881e 100755
--- a/eclass/tests/multilib.sh
+++ b/eclass/tests/multilib.sh
@@ -3,7 +3,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-source tests-common.sh
+source tests-common.sh || exit
inherit multilib
diff --git a/eclass/tests/multiprocessing_makeopts_jobs.sh b/eclass/tests/multiprocessing_makeopts_jobs.sh
index b045121cfa17..70a6085d5362 100755
--- a/eclass/tests/multiprocessing_makeopts_jobs.sh
+++ b/eclass/tests/multiprocessing_makeopts_jobs.sh
@@ -3,7 +3,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-source tests-common.sh
+source tests-common.sh || exit
inherit multiprocessing
diff --git a/eclass/tests/multiprocessing_makeopts_loadavg.sh b/eclass/tests/multiprocessing_makeopts_loadavg.sh
index 28e5e557601a..d6e4bf0451fb 100755
--- a/eclass/tests/multiprocessing_makeopts_loadavg.sh
+++ b/eclass/tests/multiprocessing_makeopts_loadavg.sh
@@ -3,7 +3,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-source tests-common.sh
+source tests-common.sh || exit
inherit multiprocessing
diff --git a/eclass/tests/python-utils-r1.sh b/eclass/tests/python-utils-r1.sh
index 7ba4a864ff10..8c733b22294e 100755
--- a/eclass/tests/python-utils-r1.sh
+++ b/eclass/tests/python-utils-r1.sh
@@ -3,7 +3,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-source tests-common.sh
+source tests-common.sh || exit
eqawarn() {
: # stub
@@ -156,11 +156,6 @@ fi
test_var PYTHON_PKG_DEP pypy3 '*dev-python/pypy3*:0='
test_var PYTHON_SCRIPTDIR pypy3 /usr/lib/python-exec/pypy3
-test_is "python_is_python3 python2.7" 1
-test_is "python_is_python3 python3.2" 0
-test_is "python_is_python3 pypy" 1
-test_is "python_is_python3 pypy3" 0
-
# generic shebangs
test_fix_shebang '#!/usr/bin/python' python3.6 '#!/usr/bin/python3.6'
test_fix_shebang '#!/usr/bin/python' pypy3 '#!/usr/bin/pypy3'
diff --git a/eclass/tests/qmail.sh b/eclass/tests/qmail.sh
index 3520ed2a9d5b..8cf0abdae1a6 100755
--- a/eclass/tests/qmail.sh
+++ b/eclass/tests/qmail.sh
@@ -3,7 +3,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-source tests-common.sh
+source tests-common.sh || exit
inherit qmail
diff --git a/eclass/tests/rebar_fix_include_path.sh b/eclass/tests/rebar_fix_include_path.sh
index 8164e39d7252..339633e91e3a 100755
--- a/eclass/tests/rebar_fix_include_path.sh
+++ b/eclass/tests/rebar_fix_include_path.sh
@@ -2,7 +2,7 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-source tests-common.sh
+source tests-common.sh || exit
EAPI=6
diff --git a/eclass/tests/rebar_remove_deps.sh b/eclass/tests/rebar_remove_deps.sh
index 1b877b33929b..b544a3078dbb 100755
--- a/eclass/tests/rebar_remove_deps.sh
+++ b/eclass/tests/rebar_remove_deps.sh
@@ -2,7 +2,7 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-source tests-common.sh
+source tests-common.sh || exit
EAPI=6
diff --git a/eclass/tests/rebar_set_vsn.sh b/eclass/tests/rebar_set_vsn.sh
index 315d8a76ec4b..c828732b0079 100755
--- a/eclass/tests/rebar_set_vsn.sh
+++ b/eclass/tests/rebar_set_vsn.sh
@@ -2,7 +2,7 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-source tests-common.sh
+source tests-common.sh || exit
EAPI=6
diff --git a/eclass/tests/savedconfig.sh b/eclass/tests/savedconfig.sh
index 7643cf4cc823..16645fc05854 100755
--- a/eclass/tests/savedconfig.sh
+++ b/eclass/tests/savedconfig.sh
@@ -4,7 +4,7 @@
EAPI=7
-source tests-common.sh
+source tests-common.sh || exit
inherit savedconfig
diff --git a/eclass/tests/scons-utils.sh b/eclass/tests/scons-utils.sh
index c329cf1bcbd1..32a0a944706e 100755
--- a/eclass/tests/scons-utils.sh
+++ b/eclass/tests/scons-utils.sh
@@ -3,7 +3,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-source tests-common.sh
+source tests-common.sh || exit
inherit scons-utils
diff --git a/eclass/tests/toolchain-funcs.sh b/eclass/tests/toolchain-funcs.sh
index f78ecc4ebaab..56379b10cded 100755
--- a/eclass/tests/toolchain-funcs.sh
+++ b/eclass/tests/toolchain-funcs.sh
@@ -3,7 +3,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-source tests-common.sh
+source tests-common.sh || exit
inherit toolchain-funcs
diff --git a/eclass/tests/toolchain.sh b/eclass/tests/toolchain.sh
index 8e070cad4b98..c012448a1478 100755
--- a/eclass/tests/toolchain.sh
+++ b/eclass/tests/toolchain.sh
@@ -8,7 +8,7 @@ EAPI=5
TOOLCHAIN_GCC_PV=7.3.0
PR=r0
-source tests-common.sh
+source tests-common.sh || exit
inherit toolchain
diff --git a/eclass/tests/versionator_version_compare.sh b/eclass/tests/versionator_version_compare.sh
index c7a238cf9d1e..2875c0f693da 100755
--- a/eclass/tests/versionator_version_compare.sh
+++ b/eclass/tests/versionator_version_compare.sh
@@ -2,7 +2,7 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-source tests-common.sh
+source tests-common.sh || exit
inherit versionator